import java.awt.*;
class Main extends Frame {
    List list;
    Choice choice = new Choice();

    Main() {
        super("select Example");

        for (int i=0; i<10; i++) {
            choice.addItem("item "+i);
        }
        add("South", choice);
        add("North", new Button("Toggle"));
        pack();
        show();
    }
    public boolean action(Event evt, Object arg) {
        if ("Toggle".equals(arg)) {
            if (choice != null) {
                // create a list and transfer items to the list.
                list = new List(choice.countItems(), false);
                for (int i=0; i<choice.countItems(); i++) {
                    list.addItem(choice.getItem(i));
                    if (i == choice.getSelectedIndex()) {
                        list.select(i);
                    }
                }
                add("Center", list);
                remove(choice);
                choice = null;
            } else {
                // create a choice and transfer items to the list.
                choice = new Choice();
                for (int i=0; i<list.countItems(); i++) {
                    choice.addItem(list.getItem(i));
                    if (i == list.getSelectedIndex()) {
                        choice.select(i);
                    }
                }
                add("South", choice);
                remove(list);
                list = null;
            }
            pack();
            return true;
        }
        return false;
    }
    static public void main(String[] args) {
        new Main();
    }
}
