import java.awt.*;
class Main extends Frame {
    Circle c = new Circle(new Point(40, 40), 25);

    Main() {
        super("Dimension Example");
        resize(100, 100);
        show();
    }

    public void paint(Graphics g) {
        c.draw(g);
    }

    public static void main(String[] args) {
        new Main();
    }
}

class Circle {
    Point origin;
    int radius;

    Circle(Point origin, int radius) {
        this.origin = origin;
        this.radius = radius;
    }

    public Dimension size() {
        return new Dimension(2 * radius, 2 * radius);
    }

    public void draw(Graphics g) {
        g.fillOval(origin.x-radius, origin.y-radius, size().width, size().height);
    }
}