import java.awt.*;
class Main extends Frame implements Runnable {
    List l = new List();
    String[] cursors = {
        "DEFAULT_CURSOR",
        "CROSSHAIR_CURSOR",
        "TEXT_CURSOR",
        "WAIT_CURSOR",
        "SW_RESIZE_CURSOR",
        "SE_RESIZE_CURSOR",
        "NW_RESIZE_CURSOR",
        "NE_RESIZE_CURSOR",
        "N_RESIZE_CURSOR",
        "S_RESIZE_CURSOR",
        "W_RESIZE_CURSOR",
        "E_RESIZE_CURSOR",
        "HAND_CURSOR",
        "MOVE_CURSOR",};
    
    Main() {
        super("setCursor Example");
        for (int i=0; i<cursors.length; i++) {
            l.addItem(cursors[i]);
        }
        add("Center", l);
        (new Thread(this)).start();
        pack();
        show();
    }

    public boolean action(Event evt, Object what) {
        if (evt.target == l) {
            setCursor(l.getSelectedIndex());
            return true;
        }
        return false;
    }

    public void run() {

        while (true) {
            try {
                int cursor = getCursorType();

                setCursor(WAIT_CURSOR);
                Thread.sleep(2000);
                setCursor(cursor);
                Thread.sleep(10000);
            } catch (Exception e) {
            }
        }
    }
            
    static public void main(String[] args) {
        new Main();
    }
}
