import java.awt.*;
class Main extends Frame {
    Main() {
        super("create Example");
        resize(200, 200);
        show();
    }

    void paintFigure(Graphics g, int w, int h) {
        g.clipRect(5, 5, w-10, h-10);
        g.fillOval(0, 0, w, h);
    }
    public void paint(Graphics g) {
        Insets insets = this.insets();
        int x = 0, y = 0;
        int w = size().width-insets.left-insets.right;
        int h = size().height-insets.top-insets.bottom;

        Graphics g2 = g.create(0, 0, w/3, h);
        g2.setColor(Color.red);
        paintFigure(g2, w/3, h);
        g2.dispose();

        g2 = g.create(w/3, 0, w/3, h);
        g2.setColor(Color.green);
        paintFigure(g2, w/3, h);
        g2.dispose();

        // Safe to use original one.
        g.translate(w*2/3, 0);
        g.clipRect(0, 0, w/3, h);
        g.setColor(Color.blue);
        paintFigure(g, w/3, h);
    }

    static public void main(String[] args) {
        new Main();
    }
}
