import java.awt.*;
class Main extends Frame {
    int borderWidth = 5;
    boolean raised = true;

    Main() {
        super("draw3DRect Example");
        resize(200, 200);
        show();
    }

    public void paint(Graphics g) {
        Insets insets = this.insets();
        int x = 0, y = 0;
        int w = size().width-insets.left-insets.right;
        int h = size().height-insets.top-insets.bottom;

        w -= 1;       // draw inside the rectangle.
        h -= 1;       // draw inside the rectangle.
        g.setColor(getBackground());
        for (int i=0; i<borderWidth; i++) {
            g.draw3DRect(x++, y++, w, h, raised);
            w -= 2;
            h -= 2;
        }
        g.fillRect(x, y, w+1, h+1);
    }

    public boolean mouseDown(Event evt, int x, int y) {
        raised = !raised;
        repaint();
        return true;
    }

    static public void main(String[] args) {
        new Main();
    }
}
