import java.awt.*;
class Main extends Frame implements Runnable {
    int dotSize = 15;

    Main() {
        super("setColor Example");
        resize(150, 150);
        show();
        (new Thread(this)).start();
    }

    // Returns an integer in the range [0..r-1].
    int random(int r) {
        return (int)(Math.floor(Math.random()*r));
    }

    public void update(Graphics g) {
        Insets insets = this.insets();
        int w = size().width-insets.left-insets.right;
        int h = size().height-insets.top-insets.bottom;

        for (int i=0; i<10; i++) {
            int x = random(w), y = random(h);
            g.setColor(new Color(random(256), random(256), random(256)));
            g.fillOval(x-x%dotSize, y-y%dotSize, dotSize, dotSize);
        }
    } 

    public void run() {
        while (true) {
            try {Thread.sleep(100);} catch (Exception e) {}
            repaint();
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
