import java.awt.*;
public class Main extends Frame {
    GridBagLayout gbl = new GridBagLayout();

    Main() {
        super("Weight/Size Override Example");
        GridBagConstraints c = new GridBagConstraints();
        double rowWeights[] = {0, 0, 1.0};
        double colWeights[] = {0, 0, 1.0};
        int rowHeights[] = {20, 50};
        int colWidths[] = {20, 50};

        gbl.rowWeights = rowWeights;
        gbl.columnWeights = colWeights;
        gbl.rowHeights = rowHeights;
        gbl.columnWidths = colWidths;
        setLayout(gbl);

        c.fill = GridBagConstraints.BOTH;
        for (int i=0; i<3; i++) {
            for (int j=0; j<3; j++) {
                Button b = new Button(""+i+","+j);
                c.gridx = i;
                c.gridy = j;
                add(b);
                gbl.setConstraints(b, c);
            }
        }
        resize(250, 150);
        show();
    }

    static public void main(String[] args) {
        new Main();
    }
}
