import java.awt.*;
class Main extends Frame {
    Label l = new Label("Label", Label.LEFT);
    TextField tf = new TextField(40);

    Main() {
        super("setText Example");
        add("Center", new Canvas());
        add("West", l);
        add("South", tf);
        tf.setText(l.getText());    // init with current text
        pack();
        show();
    }

    public boolean action(Event evt, Object what) {
        if (evt.target == tf) {
            l.setText(tf.getText());

            // the size has changed so get parent to validate itself.
            l.parent().invalidate();
            l.getParent().validate();
            return true;
        }
        return false;
    }

    static public void main(String[] args) {
        new Main();
    }
}
