import java.awt.*;
class Main extends Frame {
    Main() {
        super("Window Example");
        add("West", new Button("Modal"));
        add("East", new Button("Modeless"));
        pack();
        show();
    }

    public boolean action(Event evt, Object what) {
        if ("Modal".equals(what)) {
            new MainWindow(this);
            return true;
        } else if ("Modeless".equals(what)) {
            new MainWindow(null);
            return true;
        }
        return false;
    }

    static public void main(String[] args) {
        new Main();
    }
}

class MainWindow extends Window {
    // These two integers hold the location of the last window.
    // New windows are created at an offset to the previous one.
    static int offsetX, offsetY;

    MainWindow(Frame frame) {
        super(frame);
        add("Center", new Button("Quit"));
        offsetX += 20;
        offsetY += 20;
        move(offsetX, offsetY);
        show();
    }

    public boolean action(Event evt, Object what) {
        if ("Quit".equals(what)) {
            dispose();
            return true;
        }
        return false;
    }
}
