import java.util.Vector;
import java.io.ByteArrayOutputStream;

class Concat {
    public static byte[] concat(Vector objs, boolean printSize) {
        ByteArrayOutputStream out = new ByteArrayOutputStream();

        for (int i = 0; i < objs.size(); i++) {
            String str = objs.elementAt(i).toString();
            for (int j = 0; j < str.length(); j++)
                out.write((int)str.charAt(j));
        }
        if (printSize)
            System.out.println("Size: " + out.size());
        return (out.toByteArray());
    }
    public static void main(String[] args) {
        Vector objs = new Vector(args.length);

        for (int i = 0; i < args.length; i++)
            objs.addElement(args[i]);

        byte[] all = concat(objs, true); // print size of total string

        for (int i = 0; i < all.length; i++)
            System.out.print((char)all[i]);
        System.out.println();
    }
}
