import java.io.StringBufferInputStream;

class Main2 {
    public static void main(String[] args) {
        StringBufferInputStream sb = new StringBufferInputStream("abcde\n");
        System.out.println("available: " + sb.available());  // 5
        sb.skip(2);                                          // skip 2 characters
        for (int c = sb.read(); c > 0; c = sb.read())        // "cde"
            System.out.print((char)c);

        sb.reset();                                          // reset to start
        byte[] b = new byte[10];                
        sb.read(b, 0, b.length);                             // read full string
        for (int i = 0; i < b.length; i++)                   // "abcde"
            System.out.print((char)b[i]);
    }
}
