import java.awt.*;
class Main extends Frame {
    Panel flow = new Panel();
    Panel card = new Panel();
    Main() {
        super("setLayout Example");
        card.setLayout(new CardLayout());
        flow.setLayout(new FlowLayout());
        
        addComp("Button", new Button());
        addComp("TextArea", new TextArea());
        addComp("List", new List());

        add("North", flow);
        add("Center", card);

        resize(200, 200);
        show();
    }

    void addComp(String label, Component c) {
        card.add(label, c);
        flow.add(new Button(label));
    }

    public boolean action(Event evt, Object arg) {
        if (arg instanceof String) {
            CardLayout l = (CardLayout)card.getLayout();
            l.show(card, (String)arg);
            return true;
        }
        return false;
    }

    static public void main(String[] args) {
        new Main();
    }
}
