import java.awt.*;
import java.util.*;
import java.io.*;
class Main extends Frame {
    Vector points = new Vector();

    Main() {
        super("drawOval Example");
        resize(200, 200);
        show();
    }

    void addPoint(Point p) {
        points.addElement(p);
        repaint();
    }

    public void paint(Graphics g) {
        for (int i=0; i<points.size(); i++) {
            Point p = (Point)points.elementAt(i);
            g.drawOval(p.x-5, p.y-5, 10, 10);
        }
    }

    static public void main(String[] args) {
        Main m = new Main();
        DataInputStream dis = new DataInputStream(System.in);
        
        while (true) {
            try {
                m.addPoint(new Point(
                    Integer.parseInt(dis.readLine()),
                    Integer.parseInt(dis.readLine())));
            } catch (Exception e) {
                e.printStackTrace();
                System.exit(1);
            }
         }
    }
}
