import java.awt.*;
class Main extends Frame {
    Main() {
        super("drawRect Example");
        resize(200, 200);
        show();
    }

    public void paint(Graphics g) {
        Color[] colors = {Color.black, Color.red};
        Insets insets = insets();
        int x = 0, y = 0;
        int w = size().width-insets.left-insets.right;
        int h = size().height-insets.top-insets.bottom;

        w -= 1;       draw inside the rectangle.
        h -= 1;       draw inside the rectangle.
        while (w >= 0 && h >= 0) {
            g.setColor(colors[x % 2]);
	    g.drawRect(x++, y++, w, h);
            w -= 2;
            h -= 2;
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
