import java.awt.*;
class Main extends Frame {
    Main() {
        super("enable Example");
        MenuBar mb = new MenuBar();
        Menu m = new Menu("File");

        m.add("New");
        m.add("Open...");
        mb.add(m);
        m = new Menu("Edit");
        m.add("Cut");
        m.add("Paste");
        mb.add(m);

        // Add the two enable/disable buttons.
        add("West", new Button("Enable"));
        add("East", new Button("Disable"));

        // Set the menu bar on the frame.
        setMenuBar(mb);
        pack();
        show();
    }

    public boolean action(Event evt, Object what) {
        boolean enable = "Enable".equals(what);

        if (enable || "Disable".equals(what)) {
            for (int i=0; i<getMenuBar().countMenus(); i++) {
                Menu m = getMenuBar().getMenu(i);

                for (int j=0; j<getMenuBar().getMenu(i).countItems(); j++) {
                    m.getItem(j).enable(enable);
                    // The following would also work
                    // if (enable) {
                    //     m.getItem(j).enable();
                    // } else {
                    //     m.getItem(j).disable();
                    // }
                }
            }
            return true;
        }
        return false;
    }

    static public void main(String[] args) {
        new Main();
    }
}
