import java.util.Date;

class examples5 {
    public static void main (String[] args) {
    {
// START const
Date today = new Date(); // today
Date ymd = new Date(89, 9, 17);                 // Oct 17, 1989
Date ymdhm = new Date(89, 9, 17, 17, 4);        //Oct 17, 1989, 5:04pm
Date ymdhms = new Date(89, 9, 17, 17, 4, 15);   //Oct 17, 1989, 5:04:15pm
Date s1 = new Date("17 Oct 1989 17:04:15");
Date s2 = new Date("17 Oct 1989");
Date s3 = new Date("Thu, 2 Nov 1995");
Date s4 = new Date("Sat, 12 Aug 1995 13:30:00 GMT+0430");
// self-correcting date; "Mon" will get changed to "Sat"
Date s5 = new Date("Mon, 12 Aug 1995 13:30:00 GMT+0430");

if (s2.hashCode() == ymd.hashCode())
    System.out.println("dates maybe equal");  // should be here
else
    System.out.println("dates not equal");
// END const
}

{
// START parse
long utcTime = Date.UTC(95,10,2,10,30,4);
long parsedTime = Date.parse("11 November 1996");

Date utcDate = new Date(utcTime);
Date parsedDate = new Date("11 Nov 1996");
int tracker;

if (utcDate.before(parsedDate)) {
    tracker = -1;
    utcDate.setTime(parsedTime); // reset
} else if (utcDate.after(parsedDate)) {
    tracker = 1;
    utcDate.setTime(parsedTime); // reset
} else if (utcDate.equals(parsedDate)) 
    tracker = 0;
// Print the date in the three formats
System.out.println("GMT: " + utcDate.toGMTString());
System.out.println("Locale: " + utcDate.toLocaleString());
System.out.println("ctime: " + utcDate.toString());
// END parse
}
    }
}
